AgentAPIInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.agent.AgentAPIInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.agent
Class AgentAPIInfo

    java.lang.Object
      org.hyperic.hq.agent.AgentAPIInfo

Direct Known Subclasses:
  AgentAPI, AgentCommandsAPI, AICommandsAPI, CommandsAPIInfo, ControlCommandsAPI, LiveDataCommandsAPI, MeasurementCommandsAPI

    public abstract class AgentAPIInfo

extends java.lang.Object

A class which handles generic API information, such as version number calculation, etc.

Constructor Summary
`AgentAPIInfo(byte majorVersion, byte minorVersion, byte bugfixVersion)` Initialize the AgentAPIInfo object with versioning info.

Method Summary
`byte` | `getBugfixVersion()` Retrieve the bugfix version number component
`byte` | `getMajorVersion()` Retrieve the major version number component
`byte` | `getMinorVersion()` Retrieve the minor version number component
`int` | `getVersion()` Get a single integer representation of the full version.
`boolean` | `isCompatible(int otherVersion)` Check to see if another version is compatible with the object containing this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentAPIInfo

    public AgentAPIInfo(byte majorVersion,
                        byte minorVersion,
                        byte bugfixVersion)

  Initialize the AgentAPIInfo object with versioning info.

  Parameters:
    `majorVersion` - Major version #
    `minorVersion` - Minor version #
    `bugfixVersion` - Bugfix version #

Method Detail

### getMajorVersion

    public byte getMajorVersion()

  Retrieve the major version number component

### getMinorVersion

    public byte getMinorVersion()

  Retrieve the minor version number component

### getBugfixVersion

    public byte getBugfixVersion()

  Retrieve the bugfix version number component

### getVersion

    public int getVersion()

  Get a single integer representation of the full version.

  Returns:
    an integer representation of the version components

### isCompatible

    public boolean isCompatible(int otherVersion)

  Check to see if another version is compatible with the object containing this method.

  Parameters:
    `otherVersion` - Version info as obtained via getVersion() in another APIInfo object.
  Returns:
    a true value if the versions are compatible, else false.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.